Hardware & Software Specifications

Choose Your Operating System

Windows

MacOS

Linux

Unreal Engine has some specific hardware and software requirements for running the game and editor or developing with the engine.

Recommended Hardware

Operating System

Windows 7/8 64-bit

Processor

Quad-core Intel or AMD, 2.5 GHz or faster

Memory

8 GB RAM

Video Card/DirectX Version

DirectX 11 compatible graphics card

Operating System

macOS 10.13 High Sierra

Processor

Quad-core Intel, 2.5 GHz or faster

Memory

8 GB RAM

Video Card

Metal 1.2 Compatible Graphics Card

Operating System

Ubuntu 15.04

Processor

Quad-core Intel or AMD, 2.5 GHz or faster

Memory

16 GB RAM

Video Card

NVIDIA GeForce 470 GTX or higher with latest NVIDIA binary drivers

Minimum Software Requirements

Below are the requirements for running the engine or editor.

Running the Engine

Operating System

Windows 7/8 64-bit

DirectX Runtime

DirectX End-User Runtimes (June 2010)

Running the Engine

Operating System

macOS 10.12.6 Sierra

Running the Engine

Operating System

Any reasonable new Linux distro (CentOS 6.x being the oldest tested)

Linux Kernel Version

kernel 2.6.32 or newer

Additional Dependencies

glibc 2.12.2 or newer

The requirements for programmers developing with the engine are listed below.

Developing with the Engine

All 'Running the Engine' requirements (automatically installed)

Visual Studio Version

Visual Studio 2015 Professional or Visual Studio 2015 Community:

iOS Development

iTunes Version

iTunes 11 or higher

Developing with the Engine

Xcode Version

If you need to verify that you're running the correct version of Xcode, run the following command from the terminal window: sudo xcode-select -s /Applications/Xcode-beta.app/Contents/Developer

Developing with the Engine

Operating System

Ubuntu 15.04

Compiler

clang 3.5.x or 3.6.x

Optional

IDE

QtCreator 3.1 or KDevelop 4.6

Build System

CMake 2.8